vkQuake

Install latest/candidate of vkQuake

Ubuntu 16.04 or later?

Make sure snap support is enabled in your Desktop store.


Install using the command line

sudo snap install vkquake --candidate

Don't have snapd? Get set up for snaps.

vkQuake is only available on the unstable candidate channel. It could break and change often.

Channel Version Published

A Quake 1 port using Vulkan.

Note: This package only provides the engine, you need a valid copy of the (proprietary) game data to launch the game.

vkQuake is a Quake 1 port using Vulkan instead of OpenGL for rendering. It is based on the popular QuakeSpasm port and runs all mods compatible with it like Arcane Dimensions or In The Shadows.

Compared to QuakeSpasm vkQuake also features a software Quake like underwater effect, has better color precision, generates mipmap for water surfaces at runtime and has native support for anti-aliasing and AF.

vkQuake also serves as a Vulkan demo application that shows basic usage of the API. For example it demonstrates render passes & sub passes, pipeline barriers & synchronization, compute shaders, push & specialization constants, CPU/GPU parallelism and memory pooling.

  • Note to snap packagers:

Additionally, other snaps can consume its content via a content interface plug and use 'vkquake-launch' to start the engine. Consuming snaps could use following snapcraft.yaml snippet to add the interface.

plugs: quake-engine: content: quake-engine interface: content target: $SNAP/quake-engine default-provider: vkquake:quake-engine

Within the consuming snap the content would be exposed at "$SNAP/quake-engine", ie: /snap/the-consuming-snap/current/quake-engine /var/lib/snapd/snap/the-consuming-snap/current/quake-engine

Under certain circumstances it could be necessary to manually connect the interface, ie: snap connect the-consuming-snap:quake-engine vkquake:quake-engine

Details for vkQuake

License
  • GPL-2.0

Last updated
  • 1 July 2018 - latest/candidate
  • 31 May 2019 - latest/edge

Share this snap

Generate an embeddable card to be shared on external websites.


Install vkQuake on your Linux distribution

Choose your Linux distribution to get detailed installation instructions. If yours is not shown, get more details on the installing snapd documentation.


Where people are using vkQuake

Users by distribution (log)

Ubuntu 22.04
Ubuntu 20.04
Ubuntu 24.04
Ubuntu 18.04
Ubuntu 23.10
Debian 12

Is there a problem with vkQuake? Report this app